Authorization server metadata
get /.well-known/oauth-authorization-server
OAuth 2.0 authorization server metadata (RFC 8414). AI assistants read it to find the authorization and token endpoints, and to learn that clients are identified by a client metadata document and must use PKCE with S256.
Autorização
Seção intitulada “Autorização”Sem autenticação.
Exemplo de requisição
Seção intitulada “Exemplo de requisição”curl "https://api.salesbud.com.br/.well-known/oauth-authorization-server"Exemplo de resposta
Seção intitulada “Exemplo de resposta”{ "issuer": "https://api.salesbud.com.br", "authorization_endpoint": "https://api.salesbud.com.br/oauth/authorize", "token_endpoint": "https://api.salesbud.com.br/oauth/token", "revocation_endpoint": "https://api.salesbud.com.br/oauth/revoke", "revocation_endpoint_auth_methods_supported": [ "none" ], "response_types_supported": [ "code" ], "grant_types_supported": [ "authorization_code", "refresh_token", "client_credentials" ], "code_challenge_methods_supported": [ "S256" ], "token_endpoint_auth_methods_supported": [ "none", "client_secret_basic", "client_secret_post" ], "scopes_supported": [ "meetings.read", "calls.read", "transcriptions.read", "emails.read", "emails.content.read", "whatsapp.read", "whatsapp.content.read" ], "client_id_metadata_document_supported": true, "authorization_response_iss_parameter_supported": true}Respostas
Seção intitulada “Respostas”| Status | Descrição |
|---|---|
200 | Authorization server metadata. |
404 | OAuth discovery is not configured on this server. |